#!/bin/bash
set -e

COUNTER=0
export LD_LIBRARY_PATH=.

REPS=10

mkdir -p results
cat /proc/cpuinfo > results/cpuinfo

echo "Building basic"

# build default test binary
./sse_microbench.py
echo "Starting basic version at $(date)"
echo "This may take several hours!"

while [[ $COUNTER -lt $REPS ]]; do
    echo rep $COUNTER of $REPS
    let COUNTER=COUNTER+1
    ./a.qtt >> results/sse_results
done

echo "Basic done at $(date)"
echo "Building ftz/daz version"

COUNTER=0

# build ftz version
./sse_microbench.py ftzdaz

echo "Starting ftz version at $(date)"

while [[ $COUNTER -lt $REPS ]]; do
    echo rep $COUNTER of $REPS
    let COUNTER=COUNTER+1
    ./a.qtt >> results/sse_results_ftzdaz
done

echo "Done at $(date)"
