#!/bin/bash
set -e

echo "Generating latex tables"
DIRNAME="results"
CAPNAME=$(cat $DIRNAME/cpuinfo | grep "model name" | head -n1 | sed -r "s/^.*: (.*)$/\1/g")
CAP1=${CAPNAME}""
CAPF=${CAPNAME}"+ FTZ/DAZ "
./process_tables.py ${DIRNAME}/sse_results test "$CAP1" > $DIRNAME/floattables.tex
./process_tables.py ${DIRNAME}/sse_results_ftzdaz test_ftz  "$CAPF" > $DIRNAME/floattables_ftzdaz.tex


echo "Generating summary pdf"
pdflatex float_summary.tex > /dev/null

cp float_summary.pdf results/
tar -czvf results.tgz results/

echo "Done! read float_summary.pdf"
